<style>
  table, td, th {
    border: 1px solid black;
  }
  table {
    border-collapse: collapse;
    width: 90%;
  }
th {
  height: 50px;
}
</style>
<div>
  <form (submit)="onSubmit()">
    <label for="postcode">Enter your postcode:</label>
    <input type="text" id="postcode" name="postcode" required>
    <br>
    <button type="submit">Send</button>
  </form>
  
</div>

<table mat-table [dataSource]="dataSource">

  <ng-container matColumnDef="cuisine">
    <th mat-header-cell *matHeaderCellDef>Type of food</th>
    <td mat-cell *matCellDef="let comment">{{comment.cuisine}}</td>
  </ng-container>

  <ng-container matColumnDef="restaurantName">
    <th mat-header-cell *matHeaderCellDef>Restaurant Name</th>
    <td mat-cell *matCellDef="let comment">{{comment.restaurantName}}</td>
  </ng-container>

  <ng-container matColumnDef="brandName">
    <th mat-header-cell *matHeaderCellDef>Brand Name</th>
    <td mat-cell *matCellDef="let comment">{{comment.brandName}}</td>
  </ng-container>

  <ng-container matColumnDef="ratingsOutOfFive">
    <th mat-header-cell *matHeaderCellDef>Ratings Out Of Five</th>
    <td mat-cell *matCellDef="let comment">{{comment.ratingsOutOfFive}}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let comment; columns: displayedColumns;"></tr>

</table>
